## Package Win32::GUI::Header

Back to the Packages

- Constructor

  - new Win32::GUI::Header(PARENT, %OPTIONS)

- Methods

  - ChangeItem(INDEX, %OPTIONS)

  - Clear()

  - Count()

  - DeleteItem(INDEX)

  - HitTest(X, Y)

  - InsertItem(%OPTIONS)

  - ItemRect(INDEX)

  - Reset()

- Events

  - BeginTrack(INDEX, WIDTH)

  - DividerDblClick(INDEX)

  - EndTrack(INDEX, WIDTH)

  - ItemClick(INDEX)

  - ItemDblClick(INDEX)

  - Track(INDEX, WIDTH)

### Constructor

new Win32::GUI::Header(PARENT, %OPTIONS)

  Creates a new Header object; can also be called as PARENT->AddHeader(%OPTIONS). Class specific `%OPTIONS` are:

        -buttons => 0/1 (default 0)
          header items look like push buttons and can be clicked.
        -hottrack => 0/1 (default 0)
        -imagelist => Win32::GUI::ImageList object

### Methods

ChangeItem(INDEX, %OPTIONS)

  Changes the options for an item in the Header control. Returns nonzero if successful, zero otherwise. For a list of the available options see InsertItem().

Clear()

  Deletes all items from the control.

Count()

  Returns the number of items in the Header control.

DeleteItem(INDEX)

  Deletes the zero-based INDEX item from the Header.

HitTest(X, Y)

  Checks if the specified point is on an Header item; it returns the index of the found item or -1 if none was found. If called in an array context, it returns an additional value containing more info about the position of the specified point.

InsertItem(%OPTIONS)

  Inserts a new item in the Header control. Returns the newly created item zero-based index or -1 on errors. `%OPTIONS` can be:

        -index => position
        -image => index of an image from the associated ImageList
        -bitmap => Win32::GUI::Bitmap object
        -width => pixels
        -height => pixels
        -text => string
        -align => left|center|right

ItemRect(INDEX)

  Returns a four element array defining the rectangle of the specified zero-based INDEX item; the array contains (left, top, right, bottom). If not succesful returns undef.

Reset()

  See Clear().

### Events

BeginTrack(INDEX, WIDTH)

  Sent when a divider of the Header control is being moved; the event must return 0 to prevent moving the divider, 1 to allow it. Passes the zero-based INDEX of the item being resized and its current WIDTH.

DividerDblClick(INDEX)

  Sent when the user double-clicked on a divider of the Header control.

EndTrack(INDEX, WIDTH)

  Sent when a divider of the Header control has been moved. Passes the zero-based INDEX of the item being resized and its current WIDTH.

ItemClick(INDEX)

  Sent when the user clicked on a Header item.

ItemDblClick(INDEX)

  Sent when the user double-clicked on a Header item.

Track(INDEX, WIDTH)

  Sent while a divider of the Header control is being moved; the event must return 1 to continue moving the divider, 0 to end its movement. Passes the zero-based INDEX of the item being resized and its current WIDTH.